TP-Link WA850RE Remote Command Injection Vulnerability

2022-6-24 02:56:32 Author: blog.exodusintel.com 阅读量:25 收藏

EIP-7758d2d4

A vulnerability exists within the httpd server of the TP-Link WA850RE Universal Wi-Fi Range Extender that allows authenticated attackers to inject arbitrary commands as arguments to an execve() call due to a lack of input sanitization. Injected commands are executed with root privileges. This issue is further exacerbated when combined with the configuration leak from EIP-9098806c.

Vulnerability Identifiers

  • Exodus Intelligence: EIP-7758d2d4
  • MITRE CVE: TBD

Vulnerability Metrics

  • CVSSv2 Score: 7.7

Vendor References

Discovery Credit

  • Exodus Intelligence

Disclosure Timeline

  • Disclosed to affected vendor: December 10th, 2021
  • Disclosed to public: June 23rd, 2022

Further Information

Readers of this advisory who are interested in receiving further details around the vulnerability, mitigations, detection guidance, and more can contact us at [email protected].

Researchers who are interested in monetizing their 0Day and NDay can work with us through our Research Sponsorship Program (RSP).


From: https://blog.exodusintel.com/2022/06/23/tp-link-wa850re-remote-command-injection-vulnerability/?utm_source=rss&utm_medium=rss&utm_campaign=tp-link-wa850re-remote-command-injection-vulnerability